{% load static %}
<!doctype html>
<html>
  <head>
    <title>Blog Posts</title>
    <link rel="stylesheet" href="{% static "book-review.css" %}">
  </head>
  <body>
    <header>
      <div>My Blog Posts</div>
      <nav>
        <a href="{% url "create_post" %}">Create a post</a>
      </nav>
    </header>
    <main>
      {% for post in posts %}
        <div class="main-page-book-review">
          {% comment %} <img class="book-cover" src="{{ post.cover_image }}"> {% endcomment %}
          <h2 class="book-title">
            <a href="{% url "post_detail" post.id %}">{{ post.title }}</a>
          </h2>
          {% comment %} <div class="book-rating">{{ post.rating }} stars</div>
          <div class="book-authors">
            {{ post.authors }}
          </div>
          <h3>Summary</h3> {% endcomment %}
          <p>
            {{ post.content }}
          </p>
        </div>
      {% endfor %}
    </main>
    <footer>
      <div>
        Copyright 2022 by me
      </div>
      <p>
        This is my site that contains all of my blog posts
        that you can read.
      </p>
    </footer>
  </body>
</html>